Bug 1126930 - bitlbee 3.2.2 dbus problem on centos 6
Summary: bitlbee 3.2.2 dbus problem on centos 6
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora EPEL
Classification: Fedora
Component: bitlbee
Version: el6
Hardware: x86_64
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: Robert Scheck
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-08-05 15:45 UTC by Andrei Berceanu
Modified: 2018-04-11 09:47 UTC (History)
3 users (show)

Fixed In Version: bitlbee-3.2.2-4.el6
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-08-22 19:17:08 UTC


Attachments (Terms of Use)

Description Andrei Berceanu 2014-08-05 15:45:16 UTC
Description of problem:


I just upgraded to bitlbee 3.2.2 and get

irc: command "process" not found: process 2603: D-Bus library appears to be incorrectly set up; failed to read machine uuid: Failed to open "/var/lib/dbus/machine-id": Permission denied irc: reading data on socket: error 104 Connection reset by peer

Version-Release number of selected component (if applicable):

bitlbee-3.2.2-1.el6.x86_64 on weechat-0.4.3-2 on centos 6.5

Comment 1 Andrei Berceanu 2014-08-07 13:24:00 UTC
the kind folks over at #bitlbee on oftc helped me trace the problem down to a SELinux policy issue. Here is my audit log:

http://nopaste.info/c8dbff4284.html

I (temporarily?) solved the issue by doing

grep bitlbee /var/log/audit/audit.log | audit2allow -M mypol
semodule -i mypol.pp

//A

Comment 2 Andrei Berceanu 2014-08-07 13:27:30 UTC
I attach here the audit log, in case the nopaste link ever expires:

type=SYSCALL msg=audit(1407412822.275:113): arch=c000003e syscall=2 success=no exit=-13 a0=7ffcf6d306a4 a1=0 a2=7fffdff6a840 a3=7fffdff6a4d0 items=0 ppid=1563 pid=2533 auid=4294967295 uid=497 gid=497 euid=497 suid=497 fsuid=497 egid=497 sgid=497 fsgid=497 tty=(none) ses=4294967295 comm="bitlbee" exe="/usr/sbin/bitlbee" subj=system_u:system_r:bitlbee_t:s0-s0:c0.c1023 key=(null)
type=ANOM_ABEND msg=audit(1407412822.275:114): auid=4294967295 uid=497 gid=497 ses=4294967295 subj=system_u:system_r:bitlbee_t:s0-s0:c0.c1023 pid=2533 comm="bitlbee" sig=6
type=AVC msg=audit(1407413519.664:167): avc:  denied  { search } for  pid=2729 comm="bitlbee" name="dbus" dev=md2 ino=141820693 scontext=system_u:system_r:bitlbee_t:s0-s0:c0.c1023 tcontext=system_u:object_r:system_dbusd_var_lib_t:s0 tclass=dir
type=AVC msg=audit(1407413519.664:167): avc:  denied  { read } for  pid=2729 comm="bitlbee" name="machine-id" dev=md2 ino=141820518 scontext=system_u:system_r:bitlbee_t:s0-s0:c0.c1023 tcontext=system_u:object_r:system_dbusd_var_lib_t:s0 tclass=file
type=AVC msg=audit(1407413519.664:167): avc:  denied  { open } for  pid=2729 comm="bitlbee" name="machine-id" dev=md2 ino=141820518 scontext=system_u:system_r:bitlbee_t:s0-s0:c0.c1023 tcontext=system_u:object_r:system_dbusd_var_lib_t:s0 tclass=file
type=SYSCALL msg=audit(1407413519.664:167): arch=c000003e syscall=2 success=yes exit=6 a0=7f082316b6a4 a1=0 a2=7fff6def5730 a3=7fff6def53c0 items=0 ppid=1563 pid=2729 auid=4294967295 uid=497 gid=497 euid=497 suid=497 fsuid=497 egid=497 sgid=497 fsgid=497 tty=(none) ses=4294967295 comm="bitlbee" exe="/usr/sbin/bitlbee" subj=system_u:system_r:bitlbee_t:s0-s0:c0.c1023 key=(null)
type=AVC msg=audit(1407413519.664:168): avc:  denied  { getattr } for  pid=2729 comm="bitlbee" path="/var/lib/dbus/machine-id" dev=md2 ino=141820518 scontext=system_u:system_r:bitlbee_t:s0-s0:c0.c1023 tcontext=system_u:object_r:system_dbusd_var_lib_t:s0 tclass=file
type=SYSCALL msg=audit(1407413519.664:168): arch=c000003e syscall=5 success=yes exit=0 a0=6 a1=7fff6def5650 a2=7fff6def5650 a3=7fff6def53c0 items=0 ppid=1563 pid=2729 auid=4294967295 uid=497 gid=497 euid=497 suid=497 fsuid=497 egid=497 sgid=497 fsgid=497 tty=(none) ses=4294967295 comm="bitlbee" exe="/usr/sbin/bitlbee" subj=system_u:system_r:bitlbee_t:s0-s0:c0.c1023 key=(null)
type=AVC msg=audit(1407413519.743:169): avc:  denied  { search } for  pid=2729 comm="bitlbee" name="dbus" dev=md2 ino=141820695 scontext=system_u:system_r:bitlbee_t:s0-s0:c0.c1023 tcontext=system_u:object_r:system_dbusd_var_run_t:s0 tclass=dir
type=AVC msg=audit(1407413519.743:169): avc:  denied  { write } for  pid=2729 comm="bitlbee" name="system_bus_socket" dev=md2 ino=141820208 scontext=system_u:system_r:bitlbee_t:s0-s0:c0.c1023 tcontext=system_u:object_r:system_dbusd_var_run_t:s0 tclass=sock_file
type=AVC msg=audit(1407413519.743:169): avc:  denied  { connectto } for  pid=2729 comm="bitlbee" path="/var/run/dbus/system_bus_socket" scontext=system_u:system_r:bitlbee_t:s0-s0:c0.c1023 tcontext=system_u:system_r:system_dbusd_t:s0-s0:c0.c1023 tclass=unix_stream_socket
type=SYSCALL msg=audit(1407413519.743:169): arch=c000003e syscall=42 success=yes exit=0 a0=7 a1=7fff6def57d0 a2=21 a3=7fff6def5540 items=0 ppid=1563 pid=2729 auid=4294967295 uid=497 gid=497 euid=497 suid=497 fsuid=497 egid=497 sgid=497 fsgid=497 tty=(none) ses=4294967295 comm="bitlbee" exe="/usr/sbin/bitlbee" subj=system_u:system_r:bitlbee_t:s0-s0:c0.c1023 key=(null)
type=USER_AVC msg=audit(1407413519.755:170): user pid=1405 uid=81 auid=4294967295 ses=4294967295 subj=system_u:system_r:system_dbusd_t:s0-s0:c0.c1023 msg='avc:  denied  { send_msg } for msgtype=method_call interface=org.freedesktop.DBus member=Hello dest=org.freedesktop.DBus spid=2729 scontext=system_u:system_r:bitlbee_t:s0-s0:c0.c1023 tcontext=system_u:system_r:system_dbusd_t:s0-s0:c0.c1023 tclass=dbus  exe="/bin/dbus-daemon" sauid=81 hostname=? addr=? terminal=?'

Comment 3 Fedora Update System 2014-08-07 21:25:36 UTC
bitlbee-3.2.2-4.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/bitlbee-3.2.2-4.el6

Comment 4 Fedora Update System 2014-08-07 21:25:38 UTC
bitlbee-3.2.2-4.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/bitlbee-3.2.2-4.el5

Comment 5 Fedora Update System 2014-08-08 00:41:16 UTC
Package bitlbee-3.2.2-4.el5:
* should fix your issue,
* was pushed to the Fedora EPEL 5 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=epel-testing bitlbee-3.2.2-4.el5'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-EPEL-2014-2154/bitlbee-3.2.2-4.el5
then log in and leave karma (feedback).

Comment 6 Andrei Berceanu 2014-08-12 06:47:31 UTC
I tried
# su -c 'yum update --enablerepo=epel-testing bitlbee-3.2.2-4.el5'

and get
No Match for argument: bitlbee-3.2.2-4.el5
No package bitlbee-3.2.2-4.el5 available.

Comment 8 Andrei Berceanu 2014-08-12 07:25:13 UTC
ok, so i can download it from that link - then what? :)

Comment 9 Robert Scheck 2014-08-12 07:29:53 UTC
Either a bit more patience till it reached your mirror as well or you have to
download and install it manually yourself before (yum localinstall <*.rpm>).

Comment 10 Andrei Berceanu 2014-08-12 07:31:12 UTC
ok, np, i can wait. tnx!

Comment 11 Fedora Update System 2014-08-22 19:17:08 UTC
bitlbee-3.2.2-4.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 12 Fedora Update System 2014-08-22 19:18:50 UTC
bitlbee-3.2.2-4.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.